package mishmash

import (
	"fmt"
	"testing"
)

func TestMishmash(t *testing.T) {
	want := "9d923077"
	hash, _ := Mishmash([]byte("google.com"))
	got := fmt.Sprintf("%08x", hash)
	if want != got {
		t.Error("Parse() = got", got, "want", want)
	} else {
		fmt.Println("TestMishmash Passed")
	}
}

func TestSecondHash(t *testing.T) {
	want := "65df1304"
	_, accum := Mishmash([]byte("google.com"))
	hash, accum := Mishmash([]byte("google.com"), accum)
	got := fmt.Sprintf("%08x", hash)
	if want != got {
		t.Error("Parse() = got", got, "want", want)
	} else {
		fmt.Println("TestSecondHash Passed")
	}

}
